Summary:	GNOME PostScript viewer
Name:     	ggv
Version: 2.12.0
Release: %mkrel 5
License:	GPL
Group:		Office
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
URL:		http://www.gnome.org/softwaremap/projects/ggv/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	perl-XML-Parser
BuildRequires:	libgnomeui2-devel
Buildrequires:	gtk+2-devel
Buildrequires:	libxt-devel
BuildRequires:	ghostscript
BuildRequires:	scrollkeeper
BuildRequires:	ImageMagick
BuildRequires: desktop-file-utils
Requires(post): scrollkeeper desktop-file-utils
Requires(postun): scrollkeeper desktop-file-utils
Requires:       ghostscript-module-X

%description
ggv allows you to view PostScript documents, and print ranges
of pages.

%prep
%setup -q

%build
%configure2_5x 
%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF >  $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{_bindir}/%{name}" icon="%{name}.png" needs="x11" title="GGV PostScript Viewer" longtitle="A Ghostscript frontend to visualize PostScript files" section="Office/Publishing" startup_notify="true" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Publishing" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_iconsdir}
install -m 644 -D       pixmaps/gnome-ghostview.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 pixmaps/gnome-ghostview.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -geometry 16x16 pixmaps/gnome-ghostview.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%{find_lang} %{name} --with-gnome
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do
echo "%lang($(basename $omf|sed -e 's/%name-//' -e 's/.omf//')) $(echo $omf|sed -e 's!%buildroot!!')" >> %name.lang
done


%clean
rm -rf $RPM_BUILD_ROOT

%post   
%update_scrollkeeper
%{update_menus}
%update_desktop_database
%post_install_gconf_schemas %name

%preun
%preun_uninstall_gconf_schemas %name

%postun
%clean_scrollkeeper
%{clean_menus}
%clean_desktop_database

%files -f %{name}.lang
%defattr(-, root, root)

%doc COPYING COPYING-DOCS ChangeLog
%{_sysconfdir}/gconf/schemas/ggv.schemas
%{_bindir}/*
%{_libexecdir}/ggv-postscript-viewer
%{_libdir}/bonobo/servers/*
%{_datadir}/applications/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/idl/*
%{_datadir}/pixmaps/*
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png
%{_menudir}/*
%dir %{_datadir}/omf/ggv
%{_datadir}/omf/ggv/ggv-C.omf


%changelog
* Wed Aug 23 2006 Gtz Waschk <waschk@mandriva.org> 2.12.0-5mdv2007.0
- fix buildrequires

* Wed Aug  2 2006 Gtz Waschk <waschk@mandriva.org> 2.12.0-4mdv2007.0
- spec fixes
- xdg menu

* Thu May 11 2006 Götz Waschk <waschk@mandriva.org> 2.12.0-3mdk
- rebuild for openssl
- use mkrel

* Tue Oct 18 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-2mdk
- Fix buildrequires

* Fri Oct 07 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-1mdk
- Release 2.12.0

* Wed Jun 08 2005 Gtz Waschk <waschk@mandriva.org> 2.8.5-1mdk
- New release 2.8.5

* Tue Mar 08 2005 Götz Waschk <waschk@linux-mandrake.com> 2.8.4-1mdk
- New release 2.8.4

* Thu Feb  3 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.8.3-1mdk
- New release 2.8.3

* Fri Jan 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.2-2mdk
- Rebuild with latest howl

* Fri Jan  7 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.8.2-1mdk
- New release 2.8.2

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-2mdk 
- Rebuild with latest howl

* Mon Dec  6 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- New release 2.8.1

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-1mdk
- New release 2.8.0

* Mon Jul 19 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- New release 2.6.2

* Sun May 23 2004 Abel Cheung <deaddog@deaddog.org> 2.6.1-3mdk
- Fix buildrequires
- Use ImageMagick to convert icons

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk
- fix BuildRequires

* Sun Apr 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- new version

* Wed Apr  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0.1-1mdk
- new version

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0 (with Gtz help)

* Thu Feb 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-1mdk
- Release 2.4.1

* Wed Nov  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.0.2-1mdk
- new version

* Thu Sep 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0.1-1mdk
- Release 2.4.0.1

* Mon Sep 08 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.99-2mdk
- Fix BuildRequires

* Tue Aug 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.99-1mdk
- Release 2.3.99

* Wed Aug  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.2-2mdk
- Add lang tag to omf files

* Tue Jul 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.2-1mdk
- Release 2.3.2

* Wed Jun 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.1-1mdk
- Release 2.3.1

* Tue Jun 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.0-1mdk
- Release 2.3.0

* Mon Apr 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0
- Remove patches 0 & 1 (merged upstream)

* Tue Mar  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.99.98-2mdk
- Patch1: fix broken display with some locales (Mdk bug #1148)
- Patch0: fix scrollstep type in gconf query

* Thu Feb  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.98-1mdk
- Release 1.99.98

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.97-3mdk
- Rebuild against latest openssl
- Add yelp cache generation

* Thu Jan  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.97-2mdk
- Fix URL (Yura Gusev)

* Tue Dec 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.97-1mdk
- Release 1.99.97

* Tue Nov 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.96-1mdk
- Release 1.99.96

* Tue Jul 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.9-1mdk
- Release 1.99.9

* Thu Jul  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.8-1mdk
- Release 1.99.8
- Png icons

* Thu Jun 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.7-1mdk
- Release 1.99.7

* Thu Jun  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.6-2mdk
- Recompiled against libbonoboui 2.0.0

* Wed Jun  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.6-1mdk
- Release 1.99.6
- Remove patch0 (merged upstream)

* Mon May 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.5-1mdk
- Release 1.99.5
- Patch0 (CVS): fix compilation with GTK+2.0.x

* Tue May  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.4-1mdk
- Release 1.99.4

* Thu Apr 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.3-1mdk
- Release 1.99.3 (GNOME2)

* Thu Feb 21 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.1.94-2mdk
- integrated Basque translation

* Mon Feb 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.94-1mdk
- Release 1.1.94

* Tue Nov 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.93-1mdk
- Release 1.1.93

* Wed Nov 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.92-1mdk
- Release 1.1.92

* Wed Nov  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.91-1mdk
- Release 1.1.91
- Remove patches 0 (no longer neede) & 1 (merged upstream)

* Thu Nov  1 2001 dam's <damien@mandrakesoft.com> 1.1.90-3mdk
- corrected empty AUTHORS and README files

* Sun Oct 28 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.90-2mdk
- BuildRequires: GConf-devel
- Removed redundant BuildRequires

* Thu Oct 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.90-1mdk
- Release 1.1.90
- Patch0: fix compilation against latest bonobo
- Patch1: don't install gconf schemas at compilation time

* Thu Jul  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.0-1mdk
- Release 1.1.0

* Sun Jun 17 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-9mdk
- BuildRequires:    libxml-devel (last one)

* Sun Jun 17 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-8mdk
- BuildRequires:	popt-devel

* Sun Jun 17 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-7mdk
- BuildRequires:	gdk-pixbuf-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-6mdk
- BuildRequires: gnome-print-devel
- BuildRequires: oaf-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-5mdk
- BuildRequires: db1-devel

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.1-4mdk
- BuildRequires: bonobo-devel
- removed obselete BuildRequires

* Thu Jun 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-3mdk
- Fix summary (Guillaume Rousse)

* Thu Jun 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Fix dependency (Michael Rokos)

* Fri May 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-2mdk
- Correct dependencies on scrollkeeper

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- Release 1.0
- Update scrollkeeper database

* Wed Nov 15 2000 dam's <damien@mandrakesoft.com> 0.95-5mdk
- corrected conffile.

* Tue Nov  7 2000 dam's <damien@mandrakesoft.com> 0.95-4mdk
- Mandrake release.

* Wed Oct  4 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.95-3mdk
- Add BuildRequires
- Embed menu entry
- Change previous bonobo patch to remove bonobo support (broken)
- Clean spec
- Use find_lang macro

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 0.95-2mdk
- BM + macrozification
- patch bonobo to be built against new bonobo.

* Tue Jun 13 2000 dam's <damien@mandrakesoft.com> 0.95-1mdk
- updated from helix version.
- corrected %post.

* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 0.82-4mdk
- Fix problem of path
- Add 32x32 icon

* Wed Apr 19 2000 Daouda Lo <daouda@mandrakesoft.com> 0.82-3mdk
- fix bonobo dependencies 

* Tue Apr 18 2000 Daouda Lo <daouda@mandrakesoft.com> 0.82-2mdk
- Upload both Source and binary files.
- add menu entry 
- add icon 

